> For the complete documentation index, see [llms.txt](https://docs.growlytics.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.growlytics.in/integration/android/identify-customers.md).

# Identify Customers

A User is automatically created in Growlytics platrorm when user opens the app first time.

Initially, there are very few properties captured for User Profile like city, country, device info etc. Depending on your product purpose, You can add more information to user profile with `Analytics.identify()`  method.&#x20;

There are two ways you can do this&#x20;

1. If your customer has logged in with your system's user id, then you can pass customer's id which is in your system. This will help you keeping unified profile across web, mobile and other platforms. An example is given below.

   ```java
   // Prepare Attributes
   Map<String, Object> userAttributes = new HashMap<>();
   attributes.put("has_subscribed", true);
   attributes.put("total_cart_visits", 12);

   // Put them in growlytics user profile
   Analytics.getInstance(this).identify(userAttributes);
   ```
2. Another way, if user has not logged in yet but you still want to keep information as anonymous user, you can do that as well. An example is given below.

   ```java
   // Prepare Attributes
   Map<String, Object> userAttributes = new HashMap<>();
   attributes.put("has_subscribed", true);
   attributes.put("total_cart_visits", 12);

   // Put them in growlytics user profile
   Analytics.getInstance(this).identify(userAttributes);
   ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.growlytics.in/integration/android/identify-customers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
